Package Details: gqrx-git 20210110-1

Git Clone URL: https://aur.archlinux.org/gqrx-git.git (read-only, click to copy)
Package Base: gqrx-git
Description: SDR receiver for Funcube Dongle, RTL-SDR, USRP and OsmoSDR devices.
Upstream URL: http://gqrx.dk/
Licenses: GPL
Conflicts: gqrx
Submitter: ivanovp
Maintainer: ivanovp
Last Packager: ivanovp
Votes: 37
Popularity: 0.000000
First Submitted: 2012-06-30 13:13
Last Updated: 2021-01-27 17:42

Latest Comments

1 2 3 4 5 6 ... Next › Last »

ivanovp commented on 2021-01-27 17:43

@thotypous: thanks for the info, cmake was added.

thotypous commented on 2021-01-25 15:37

Please add cmake to makedepends

alexf91 commented on 2020-11-19 22:39

Missing dependencies:
 -> Could not find all required packages:
    python2-markdown (Wanted by: gqrx-git -> python2-cheetah)

I'm not sure why this was required, but it builds fine without it. If it is still a requirement, you can probably change it to the Python3 version.

Gqrx also dropped qmake support, so you have to update the PKGBUILD to use CMake.

masterplayer31 commented on 2020-03-18 21:19

Will not build

g++ -Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now -o gqrx main.o mainwindow.o receiver.o file_resources.o remote_control.o remote_control_settings.o cafsk12.o costabf.o agc_impl.o correct_iq_cc.o fir_decim.o lpf.o decoder_impl.o parser_impl.o resampler_xx.o rx_agc_xx.o rx_demod_am.o rx_demod_fm.o rx_fft.o rx_filter.o rx_meter.o rx_noise_blanker_cc.o rx_rds.o sniffer_f.o stereo_demod.o udp_sink_f.o afsk1200win.o agc_options.o audio_options.o bookmarks.o bookmarkstablemodel.o bookmarkstaglist.o ctkRangeSlider.o demod_options.o dockaudio.o dockbookmarks.o dockinputctl.o dockrds.o dockrxopt.o dockfft.o freqctrl.o ioconfig.o iq_tool.o meter.o nb_options.o plotter.o qtcolorpicker.o nbrx.o receiver_base.o wfmrx.o pa_device_list.o pa_sink.o pa_source.o qrc_icons.o qrc_textfiles.o moc_mainwindow.o moc_remote_control.o moc_remote_control_settings.o moc_cafsk12.o moc_afsk1200win.o moc_agc_options.o moc_audio_options.o moc_bookmarks.o moc_bookmarkstablemodel.o moc_bookmarkstaglist.o moc_ctkRangeSlider.o moc_demod_options.o moc_dockaudio.o moc_dockbookmarks.o moc_dockfft.o moc_dockinputctl.o moc_dockrds.o moc_dockrxopt.o moc_freqctrl.o moc_ioconfig.o moc_iq_tool.o moc_meter.o moc_nb_options.o moc_plotter.o moc_qtcolorpicker.o -lboost_system -lboost_program_options -lrt -lpulse-simple -lpulse -pthread -lgnuradio-analog -lvolk -lgnuradio-digital -lgnuradio-filter -lgnuradio-fft -lgnuradio-osmosdr -lgnuradio-blocks -lgnuradio-runtime -lgnuradio-pmt -lgmpxx -lgmp -llog4cpp /usr/lib/libQt5Svg.so /usr/lib/libQt5Widgets.so /usr/lib/libQt5Gui.so /usr/lib/libQt5Network.so /usr/lib/libQt5Core.so -lGL -lpthread -lmd4c
/usr/bin/ld: warning: libSoapySDR.so.0.7, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/9.2.1/../../../../lib/libgnuradio-osmosdr.so, not found (try using -rpath or -rpath-link) /usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/9.2.1/../../../../lib/libgnuradio-osmosdr.so: undefined reference to SoapySDR::Device::enumerate(std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > > const&)' /usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/9.2.1/../../../../lib/libgnuradio-osmosdr.so: undefined reference toSoapySDR::Device::make(std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > > const&)' /usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/9.2.1/../../../../lib/libgnuradio-osmosdr.so: undefined reference to `SoapySDR::Device::unmake(SoapySDR::Device)' collect2: error: ld returned 1 exit status make: ** [Makefile:442: gqrx] Error 1 ==> ERROR: A failure occurred in build(). Aborting...

chron commented on 2020-01-21 15:34

Can you update the PKGBUILD to use sha256sum please?

ivanovp commented on 2020-01-16 06:18

@alexf91: Thanks for you effort! (I haven't tried it yet, but I will)

alexf91 commented on 2020-01-16 04:42

This builds with GNU Radio 3.7 and 3.8 now.

chron commented on 2020-01-14 21:15

If you simply take the PKGBUILD from the community gqrx version and update it to use git it builds without a problem.

deadite66 commented on 2019-10-06 15:53

for those of us still on gnu radio 3.7 we have a new breaker, boost just got updated to 1.71 (from 1.69) and its broken gqrx compilation.

Dieter9 commented on 2019-08-22 20:02

Since the update from GNURadio to version 3.8.0.0, this package can no longer be installed. Some files can not be found because GnuRadio has apparently changed its file structure.